# Tarfile created using git
# git clone git://git.gnome.org/jana
# git archive --format=tar --prefix=jana-0.4.5/ %{git_version} | bzip2 > jana-0.4.5-20100520.tar.bz2

%define gitdate 20100520
%define git_version acd72f2
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:          jana
Version:       0.4.5
Release:       0.22.%{snapshot}%{?dist}
Summary:       An interface library for time-related PIM

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://git.gnome.org/cgit/jana/
Source0:       %{tarfile}
Patch1:        jana.patch

BuildRequires: evolution-data-server-devel
BuildRequires: gtk3-devel
BuildRequires: GConf2-devel
BuildRequires: gtk-doc
BuildRequires: intltool

# Require these because we're using a git snapshot
BuildRequires: libtool
BuildRequires: gnome-common

%description
An interface library for time-related personal information management related
data.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch1 -p1 -b .gtk3

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtk-doc 
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libjana*.so.0.0.0
%{_libdir}/libjana*.so.0
%{_datadir}/jana

%files devel
%defattr(-,root,root,-)
%{_includedir}/jana
%{_libdir}/pkgconfig/libjana*pc
%{_libdir}/libjana.so
%{_libdir}/libjana-ecal.so
%{_libdir}/libjana-gtk.so
%{_datadir}/gtk-doc/html/libjana-ecal
%{_datadir}/gtk-doc/html/libjana-gtk
%{_datadir}/gtk-doc/html/libjana

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-0.22.20100520gitacd72f2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.5-0.21.20100520gitacd72f2
- EDS rebuild

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to> - 0.4.5-0.20.20100520gitacd72f2
- Rebuild against newer evolution-data-server

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com> - 0.4.5-0.19.20100520gitacd72f2
- Sync version with Fedora 16 package

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com> - 0.4.5-0.18.20100520gitacd72f2
- Rebuild against newer evolution-data-server

* Sun Jul 24 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.5-0.17.20100520gitacd72f2
- EDS rebuild

* Mon Jun 20 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.4.5-0.16.20100520gitacd72f2
- Another rebuild for gnome 3.1.2 libs

* Fri May 20 2011 Kalev Lember <kalev@smartlink.ee> - 0.4.5-0.15.20100520gitacd72f2
- Rebuilt for libcamel soname bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-0.14.20100520gitacd72f2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.13.20100520gitb416a41
- Bump build for new evo

* Fri Jan 14 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.12.20100520gitb416a41
- Bump build for new evo

* Sat Oct 16 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.11.20100520gitb416a41
- Bump build

* Wed Sep 29 2010 jkeating - 0.4.5-0.10.20100520gitacd72f2
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.9.20100520gitb416a41
- Drop gtk-doc requires

* Wed Sep 22 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.8.20100520gitb416a41
- Bump build

* Mon Jul 26 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.7.20100520gitacd72f2
- new upstream git snapshot

* Tue Jul 20 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.6.20090622gitb416a41
- rebuild against new evolution-data-server

* Wed May 26 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.5.20090622gitb416a41
- Bump build for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.4.20090622gitb416a41
- Bump build

* Fri Aug  7 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.3.20090622gitb416a41
- A few minor spec cleanups

* Fri Jul  3 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.2.20090622gitb416a41
- Updates from package review

* Mon Jun 22 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.5-0.1.20090622gitb416a41
- Initial packaging
